#pragma once
#include "afxwin.h"
#include "app-2255-demoDoc.h"

// CRecord dialog

class CRecord : public CPropertyPage
{
	DECLARE_DYNAMIC(CRecord)

public:
	CRecord();
	virtual ~CRecord();
    CButton m_btnHelp;
// Dialog Data
	enum { IDD = IDD_DIALOG_RECORD };
    int m_channel;
    Capp2255demoDoc *pDoc;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

public:
    afx_msg void OnBnClickedButtonHelprecord();
    afx_msg void OnBnClickedButtonBrowse();
    BOOL m_bRecord;
    CButton m_btnRecord;
    CString m_sRecordFilename;
    afx_msg void OnBnClickedCheckRecord();
};
